/* soapKCmdProxy.h
   Generated by gSOAP 2.8.60 for ../provider/include/proto.h

gSOAP XML Web services tools
Copyright (C) 2000-2018, Robert van Engelen, Genivia Inc. All Rights Reserved.
The soapcpp2 tool and its generated software are released under the GPL.
This program is released under the GPL with the additional exemption that
compiling, linking, and/or using OpenSSL is allowed.
--------------------------------------------------------------------------------
A commercial use license is available from Genivia Inc., contact@genivia.com
--------------------------------------------------------------------------------
*/

#ifndef soapKCmdProxy_H
#define soapKCmdProxy_H
#include "soapH.h"

    class SOAP_CMAC KCmdProxy {
      public:
        /// Context to manage proxy IO and data
        struct soap *soap;
        bool soap_own; ///< flag indicating that this context is owned by this proxy when context is shared
        /// Endpoint URL of service 'KCmdProxy' (change as needed)
        const char *soap_endpoint;
        /// Variables globally declared in ../provider/include/proto.h, if any
        /// Construct a proxy with new managing context
        KCmdProxy();
        /// Copy constructor
        KCmdProxy(const KCmdProxy& rhs);
        /// Construct proxy given a shared managing context
        KCmdProxy(struct soap*);
        /// Constructor taking an endpoint URL
        KCmdProxy(const char *endpoint);
        /// Constructor taking input and output mode flags for the new managing context
        KCmdProxy(soap_mode iomode);
        /// Constructor taking endpoint URL and input and output mode flags for the new managing context
        KCmdProxy(const char *endpoint, soap_mode iomode);
        /// Constructor taking input and output mode flags for the new managing context
        KCmdProxy(soap_mode imode, soap_mode omode);
        /// Destructor deletes non-shared managing context only (use destroy() to delete deserialized data)
        virtual ~KCmdProxy();
        /// Initializer used by constructors
        virtual void KCmdProxy_init(soap_mode imode, soap_mode omode);
        /// Return a copy that has a new managing context with the same engine state
        virtual KCmdProxy *copy();
        /// Copy assignment
        KCmdProxy& operator=(const KCmdProxy&);
        /// Delete all deserialized data (uses soap_destroy() and soap_end())
        virtual void destroy();
        /// Delete all deserialized data and reset to default
        virtual void reset();
        /// Disables and removes SOAP Header from message by setting soap->header = NULL
        virtual void soap_noheader();
        /// Get SOAP Header structure (i.e. soap->header, which is NULL when absent)
        virtual ::SOAP_ENV__Header *soap_header();
        /// Get SOAP Fault structure (i.e. soap->fault, which is NULL when absent)
        virtual ::SOAP_ENV__Fault *soap_fault();
        /// Get SOAP Fault string (NULL when absent)
        virtual const char *soap_fault_string();
        /// Get SOAP Fault detail as string (NULL when absent)
        virtual const char *soap_fault_detail();
        /// Close connection (normally automatic, except for send_X ops)
        virtual int soap_close_socket();
        /// Force close connection (can kill a thread blocked on IO)
        virtual int soap_force_close_socket();
        /// Print fault
        virtual void soap_print_fault(FILE*);
    #ifndef WITH_LEAN
    #ifndef WITH_COMPAT
        /// Print fault to stream
        virtual void soap_stream_fault(std::ostream&);
    #endif
        /// Write fault to buffer
        virtual char *soap_sprint_fault(char *buf, size_t len);
    #endif
        /// Web service operation 'logon' (returns SOAP_OK or error code)
        virtual int logon(const char *szUsername, const char *szPassword, const char *szImpersonateUser, const char *szVersion, unsigned int ulCapabilities, unsigned int ulFlags, const struct xsd__base64Binary& sLicenseReq, ULONG64 ullSessionGroup, const char *szClientApp, const char *szClientAppVersion, const char *szClientAppMisc, struct logonResponse *lpsLogonResponse)
        { return this->logon(NULL, NULL, szUsername, szPassword, szImpersonateUser, szVersion, ulCapabilities, ulFlags, sLicenseReq, ullSessionGroup, szClientApp, szClientAppVersion, szClientAppMisc, lpsLogonResponse); }
        virtual int logon(const char *soap_endpoint, const char *soap_action, const char *szUsername, const char *szPassword, const char *szImpersonateUser, const char *szVersion, unsigned int ulCapabilities, unsigned int ulFlags, const struct xsd__base64Binary& sLicenseReq, ULONG64 ullSessionGroup, const char *szClientApp, const char *szClientAppVersion, const char *szClientAppMisc, struct logonResponse *lpsLogonResponse);
        /// Web service operation 'ssoLogon' (returns SOAP_OK or error code)
        virtual int ssoLogon(ULONG64 ulSessionId, const char *szUsername, const char *szImpersonateUser, struct xsd__base64Binary *lpInput, const char *clientVersion, unsigned int clientCaps, const struct xsd__base64Binary& sLicenseReq, ULONG64 ullSessionGroup, const char *szClientApp, const char *szClientAppVersion, const char *szClientAppMisc, struct ssoLogonResponse *lpsResponse)
        { return this->ssoLogon(NULL, NULL, ulSessionId, szUsername, szImpersonateUser, lpInput, clientVersion, clientCaps, sLicenseReq, ullSessionGroup, szClientApp, szClientAppVersion, szClientAppMisc, lpsResponse); }
        virtual int ssoLogon(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const char *szUsername, const char *szImpersonateUser, struct xsd__base64Binary *lpInput, const char *clientVersion, unsigned int clientCaps, const struct xsd__base64Binary& sLicenseReq, ULONG64 ullSessionGroup, const char *szClientApp, const char *szClientAppVersion, const char *szClientAppMisc, struct ssoLogonResponse *lpsResponse);
        /// Web service operation 'getStore' (returns SOAP_OK or error code)
        virtual int getStore(ULONG64 ulSessionId, struct xsd__base64Binary *lpsEntryId, struct getStoreResponse *lpsResponse)
        { return this->getStore(NULL, NULL, ulSessionId, lpsEntryId, lpsResponse); }
        virtual int getStore(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, struct xsd__base64Binary *lpsEntryId, struct getStoreResponse *lpsResponse);
        /// Web service operation 'getStoreName' (returns SOAP_OK or error code)
        virtual int getStoreName(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getStoreNameResponse *lpsResponse)
        { return this->getStoreName(NULL, NULL, ulSessionId, sEntryId, lpsResponse); }
        virtual int getStoreName(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getStoreNameResponse *lpsResponse);
        /// Web service operation 'getStoreType' (returns SOAP_OK or error code)
        virtual int getStoreType(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getStoreTypeResponse *lpsResponse)
        { return this->getStoreType(NULL, NULL, ulSessionId, sEntryId, lpsResponse); }
        virtual int getStoreType(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getStoreTypeResponse *lpsResponse);
        /// Web service operation 'getPublicStore' (returns SOAP_OK or error code)
        virtual int getPublicStore(ULONG64 ulSessionId, unsigned int ulFlags, struct getStoreResponse *lpsResponse)
        { return this->getPublicStore(NULL, NULL, ulSessionId, ulFlags, lpsResponse); }
        virtual int getPublicStore(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, struct getStoreResponse *lpsResponse);
        /// Web service operation 'logoff' (returns SOAP_OK or error code)
        virtual int logoff(ULONG64 ulSessionId, unsigned int *result)
        { return this->logoff(NULL, NULL, ulSessionId, result); }
        virtual int logoff(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int *result);
        /// Web service operation 'getRights' (returns SOAP_OK or error code)
        virtual int getRights(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, int ulType, struct rightsResponse *lpsRightResponse)
        { return this->getRights(NULL, NULL, ulSessionId, sEntryId, ulType, lpsRightResponse); }
        virtual int getRights(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, int ulType, struct rightsResponse *lpsRightResponse);
        /// Web service operation 'setRights' (returns SOAP_OK or error code)
        virtual int setRights(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct rightsArray *lpsrightsArray, unsigned int *result)
        { return this->setRights(NULL, NULL, ulSessionId, sEntryId, lpsrightsArray, result); }
        virtual int setRights(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct rightsArray *lpsrightsArray, unsigned int *result);
        /// Web service operation 'loadProp' (returns SOAP_OK or error code)
        virtual int loadProp(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulObjId, unsigned int ulPropTag, struct loadPropResponse *lpsResponse)
        { return this->loadProp(NULL, NULL, ulSessionId, sEntryId, ulObjId, ulPropTag, lpsResponse); }
        virtual int loadProp(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulObjId, unsigned int ulPropTag, struct loadPropResponse *lpsResponse);
        /// Web service operation 'saveObject' (returns SOAP_OK or error code)
        virtual int saveObject(ULONG64 ulSessionId, const struct xsd__base64Binary& sParentEntryId, const struct xsd__base64Binary& sEntryId, struct saveObject *lpsSaveObj, unsigned int ulFlags, unsigned int ulSyncId, struct loadObjectResponse *lpsLoadObjectResponse)
        { return this->saveObject(NULL, NULL, ulSessionId, sParentEntryId, sEntryId, lpsSaveObj, ulFlags, ulSyncId, lpsLoadObjectResponse); }
        virtual int saveObject(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sParentEntryId, const struct xsd__base64Binary& sEntryId, struct saveObject *lpsSaveObj, unsigned int ulFlags, unsigned int ulSyncId, struct loadObjectResponse *lpsLoadObjectResponse);
        /// Web service operation 'loadObject' (returns SOAP_OK or error code)
        virtual int loadObject(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct notifySubscribe *lpsNotSubscribe, unsigned int ulFlags, struct loadObjectResponse *lpsLoadObjectResponse)
        { return this->loadObject(NULL, NULL, ulSessionId, sEntryId, lpsNotSubscribe, ulFlags, lpsLoadObjectResponse); }
        virtual int loadObject(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct notifySubscribe *lpsNotSubscribe, unsigned int ulFlags, struct loadObjectResponse *lpsLoadObjectResponse);
        /// Web service operation 'createFolder' (returns SOAP_OK or error code)
        virtual int createFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sParentId, struct xsd__base64Binary *lpsNewEntryId, unsigned int ulType, const char *szName, const char *szComment, bool fOpenIfExists, unsigned int ulSyncId, const struct xsd__base64Binary& sOrigSourceKey, struct createFolderResponse *lpsCreateFolderResponse)
        { return this->createFolder(NULL, NULL, ulSessionId, sParentId, lpsNewEntryId, ulType, szName, szComment, fOpenIfExists, ulSyncId, sOrigSourceKey, lpsCreateFolderResponse); }
        virtual int createFolder(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sParentId, struct xsd__base64Binary *lpsNewEntryId, unsigned int ulType, const char *szName, const char *szComment, bool fOpenIfExists, unsigned int ulSyncId, const struct xsd__base64Binary& sOrigSourceKey, struct createFolderResponse *lpsCreateFolderResponse);
        /// Web service operation 'deleteObjects' (returns SOAP_OK or error code)
        virtual int deleteObjects(ULONG64 ulSessionId, unsigned int ulFlags, struct entryList *aMessages, unsigned int ulSyncId, unsigned int *result)
        { return this->deleteObjects(NULL, NULL, ulSessionId, ulFlags, aMessages, ulSyncId, result); }
        virtual int deleteObjects(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, struct entryList *aMessages, unsigned int ulSyncId, unsigned int *result);
        /// Web service operation 'copyObjects' (returns SOAP_OK or error code)
        virtual int copyObjects(ULONG64 ulSessionId, struct entryList *aMessages, const struct xsd__base64Binary& sDestFolderId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result)
        { return this->copyObjects(NULL, NULL, ulSessionId, aMessages, sDestFolderId, ulFlags, ulSyncId, result); }
        virtual int copyObjects(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, struct entryList *aMessages, const struct xsd__base64Binary& sDestFolderId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result);
        /// Web service operation 'emptyFolder' (returns SOAP_OK or error code)
        virtual int emptyFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result)
        { return this->emptyFolder(NULL, NULL, ulSessionId, sEntryId, ulFlags, ulSyncId, result); }
        virtual int emptyFolder(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result);
        /// Web service operation 'deleteFolder' (returns SOAP_OK or error code)
        virtual int deleteFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result)
        { return this->deleteFolder(NULL, NULL, ulSessionId, sEntryId, ulFlags, ulSyncId, result); }
        virtual int deleteFolder(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result);
        /// Web service operation 'copyFolder' (returns SOAP_OK or error code)
        virtual int copyFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, const struct xsd__base64Binary& sDestFolderId, const char *lpszNewFolderName, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result)
        { return this->copyFolder(NULL, NULL, ulSessionId, sEntryId, sDestFolderId, lpszNewFolderName, ulFlags, ulSyncId, result); }
        virtual int copyFolder(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, const struct xsd__base64Binary& sDestFolderId, const char *lpszNewFolderName, unsigned int ulFlags, unsigned int ulSyncId, unsigned int *result);
        /// Web service operation 'setReadFlags' (returns SOAP_OK or error code)
        virtual int setReadFlags(ULONG64 ulSessionId, unsigned int ulFlags, struct xsd__base64Binary *lpsEntryId, struct entryList *lpMessages, unsigned int ulSyncId, unsigned int *result)
        { return this->setReadFlags(NULL, NULL, ulSessionId, ulFlags, lpsEntryId, lpMessages, ulSyncId, result); }
        virtual int setReadFlags(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, struct xsd__base64Binary *lpsEntryId, struct entryList *lpMessages, unsigned int ulSyncId, unsigned int *result);
        /// Web service operation 'setReceiveFolder' (returns SOAP_OK or error code)
        virtual int setReceiveFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, struct xsd__base64Binary *lpsEntryId, const char *lpszMessageClass, unsigned int *result)
        { return this->setReceiveFolder(NULL, NULL, ulSessionId, sStoreId, lpsEntryId, lpszMessageClass, result); }
        virtual int setReceiveFolder(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, struct xsd__base64Binary *lpsEntryId, const char *lpszMessageClass, unsigned int *result);
        /// Web service operation 'getReceiveFolder' (returns SOAP_OK or error code)
        virtual int getReceiveFolder(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, const char *lpszMessageClass, struct receiveFolderResponse *lpsReceiveFolder)
        { return this->getReceiveFolder(NULL, NULL, ulSessionId, sStoreId, lpszMessageClass, lpsReceiveFolder); }
        virtual int getReceiveFolder(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, const char *lpszMessageClass, struct receiveFolderResponse *lpsReceiveFolder);
        /// Web service operation 'getReceiveFolderTable' (returns SOAP_OK or error code)
        virtual int getReceiveFolderTable(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, struct receiveFolderTableResponse *lpsReceiveFolderTable)
        { return this->getReceiveFolderTable(NULL, NULL, ulSessionId, sStoreId, lpsReceiveFolderTable); }
        virtual int getReceiveFolderTable(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, struct receiveFolderTableResponse *lpsReceiveFolderTable);
        /// Web service operation 'getMessageStatus' (returns SOAP_OK or error code)
        virtual int getMessageStatus(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, struct messageStatus *lpsStatus)
        { return this->getMessageStatus(NULL, NULL, ulSessionId, sEntryId, ulFlags, lpsStatus); }
        virtual int getMessageStatus(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, struct messageStatus *lpsStatus);
        /// Web service operation 'setMessageStatus' (returns SOAP_OK or error code)
        virtual int setMessageStatus(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulNewStatus, unsigned int ulNewStatusMask, unsigned int ulSyncId, struct messageStatus *lpsOldStatus)
        { return this->setMessageStatus(NULL, NULL, ulSessionId, sEntryId, ulNewStatus, ulNewStatusMask, ulSyncId, lpsOldStatus); }
        virtual int setMessageStatus(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulNewStatus, unsigned int ulNewStatusMask, unsigned int ulSyncId, struct messageStatus *lpsOldStatus);
        /// Web service operation 'getIDsFromNames' (returns SOAP_OK or error code)
        virtual int getIDsFromNames(ULONG64 ulSessionId, struct namedPropArray *lpsNamedProps, unsigned int ulFlags, struct getIDsFromNamesResponse *lpsResponse)
        { return this->getIDsFromNames(NULL, NULL, ulSessionId, lpsNamedProps, ulFlags, lpsResponse); }
        virtual int getIDsFromNames(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, struct namedPropArray *lpsNamedProps, unsigned int ulFlags, struct getIDsFromNamesResponse *lpsResponse);
        /// Web service operation 'getNamesFromIDs' (returns SOAP_OK or error code)
        virtual int getNamesFromIDs(ULONG64 ulSessionId, struct propTagArray *lpsPropTags, struct getNamesFromIDsResponse *lpsResponse)
        { return this->getNamesFromIDs(NULL, NULL, ulSessionId, lpsPropTags, lpsResponse); }
        virtual int getNamesFromIDs(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, struct propTagArray *lpsPropTags, struct getNamesFromIDsResponse *lpsResponse);
        /// Web service operation 'notify' (returns SOAP_OK or error code)
        virtual int notify(ULONG64 ulSessionId, const struct notification& sNotification, unsigned int *er)
        { return this->notify(NULL, NULL, ulSessionId, sNotification, er); }
        virtual int notify(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct notification& sNotification, unsigned int *er);
        /// Web service operation 'notifySubscribe' (returns SOAP_OK or error code)
        virtual int notifySubscribe(ULONG64 ulSessionId, struct notifySubscribe *notifySubscribe, unsigned int *result)
        { return this->notifySubscribe(NULL, NULL, ulSessionId, notifySubscribe, result); }
        virtual int notifySubscribe(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, struct notifySubscribe *notifySubscribe, unsigned int *result);
        /// Web service operation 'notifySubscribeMulti' (returns SOAP_OK or error code)
        virtual int notifySubscribeMulti(ULONG64 ulSessionId, struct notifySubscribeArray *notifySubscribeArray, unsigned int *result)
        { return this->notifySubscribeMulti(NULL, NULL, ulSessionId, notifySubscribeArray, result); }
        virtual int notifySubscribeMulti(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, struct notifySubscribeArray *notifySubscribeArray, unsigned int *result);
        /// Web service operation 'notifyUnSubscribe' (returns SOAP_OK or error code)
        virtual int notifyUnSubscribe(ULONG64 ulSessionId, unsigned int ulConnection, unsigned int *result)
        { return this->notifyUnSubscribe(NULL, NULL, ulSessionId, ulConnection, result); }
        virtual int notifyUnSubscribe(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulConnection, unsigned int *result);
        /// Web service operation 'notifyUnSubscribeMulti' (returns SOAP_OK or error code)
        virtual int notifyUnSubscribeMulti(ULONG64 ulSessionId, struct mv_long *ulConnectionArray, unsigned int *result)
        { return this->notifyUnSubscribeMulti(NULL, NULL, ulSessionId, ulConnectionArray, result); }
        virtual int notifyUnSubscribeMulti(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, struct mv_long *ulConnectionArray, unsigned int *result);
        /// Web service operation 'notifyGetItems' (returns SOAP_OK or error code)
        virtual int notifyGetItems(ULONG64 ulSessionId, struct notifyResponse *notifications)
        { return this->notifyGetItems(NULL, NULL, ulSessionId, notifications); }
        virtual int notifyGetItems(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, struct notifyResponse *notifications);
        /// Web service operation 'tableOpen' (returns SOAP_OK or error code)
        virtual int tableOpen(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulTableType, unsigned int ulType, unsigned int ulFlags, struct tableOpenResponse *lpsTableOpenResponse)
        { return this->tableOpen(NULL, NULL, ulSessionId, sEntryId, ulTableType, ulType, ulFlags, lpsTableOpenResponse); }
        virtual int tableOpen(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulTableType, unsigned int ulType, unsigned int ulFlags, struct tableOpenResponse *lpsTableOpenResponse);
        /// Web service operation 'tableClose' (returns SOAP_OK or error code)
        virtual int tableClose(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int *result)
        { return this->tableClose(NULL, NULL, ulSessionId, ulTableId, result); }
        virtual int tableClose(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int *result);
        /// Web service operation 'tableSetColumns' (returns SOAP_OK or error code)
        virtual int tableSetColumns(ULONG64 ulSessionId, unsigned int ulTableId, struct propTagArray *aPropTag, unsigned int *result)
        { return this->tableSetColumns(NULL, NULL, ulSessionId, ulTableId, aPropTag, result); }
        virtual int tableSetColumns(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, struct propTagArray *aPropTag, unsigned int *result);
        /// Web service operation 'tableQueryColumns' (returns SOAP_OK or error code)
        virtual int tableQueryColumns(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulFlags, struct tableQueryColumnsResponse *lpsTableQueryColumnsResponse)
        { return this->tableQueryColumns(NULL, NULL, ulSessionId, ulTableId, ulFlags, lpsTableQueryColumnsResponse); }
        virtual int tableQueryColumns(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulFlags, struct tableQueryColumnsResponse *lpsTableQueryColumnsResponse);
        /// Web service operation 'tableSort' (returns SOAP_OK or error code)
        virtual int tableSort(ULONG64 ulSessionId, unsigned int ulTableId, struct sortOrderArray *aSortOrder, unsigned int ulCategories, unsigned int ulExpanded, unsigned int *result)
        { return this->tableSort(NULL, NULL, ulSessionId, ulTableId, aSortOrder, ulCategories, ulExpanded, result); }
        virtual int tableSort(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, struct sortOrderArray *aSortOrder, unsigned int ulCategories, unsigned int ulExpanded, unsigned int *result);
        /// Web service operation 'tableRestrict' (returns SOAP_OK or error code)
        virtual int tableRestrict(ULONG64 ulSessionId, unsigned int ulTableId, struct restrictTable *lpRestrict, unsigned int *result)
        { return this->tableRestrict(NULL, NULL, ulSessionId, ulTableId, lpRestrict, result); }
        virtual int tableRestrict(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, struct restrictTable *lpRestrict, unsigned int *result);
        /// Web service operation 'tableGetRowCount' (returns SOAP_OK or error code)
        virtual int tableGetRowCount(ULONG64 ulSessionId, unsigned int ulTableId, struct tableGetRowCountResponse *lpsTableGetRowCountResponse)
        { return this->tableGetRowCount(NULL, NULL, ulSessionId, ulTableId, lpsTableGetRowCountResponse); }
        virtual int tableGetRowCount(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, struct tableGetRowCountResponse *lpsTableGetRowCountResponse);
        /// Web service operation 'tableQueryRows' (returns SOAP_OK or error code)
        virtual int tableQueryRows(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulRowCount, unsigned int ulFlags, struct tableQueryRowsResponse *lpsQueryRowsResponse)
        { return this->tableQueryRows(NULL, NULL, ulSessionId, ulTableId, ulRowCount, ulFlags, lpsQueryRowsResponse); }
        virtual int tableQueryRows(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulRowCount, unsigned int ulFlags, struct tableQueryRowsResponse *lpsQueryRowsResponse);
        /// Web service operation 'tableFindRow' (returns SOAP_OK or error code)
        virtual int tableFindRow(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulBookmark, unsigned int ulFlags, struct restrictTable *lpsRestrict, unsigned int *result)
        { return this->tableFindRow(NULL, NULL, ulSessionId, ulTableId, ulBookmark, ulFlags, lpsRestrict, result); }
        virtual int tableFindRow(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulBookmark, unsigned int ulFlags, struct restrictTable *lpsRestrict, unsigned int *result);
        /// Web service operation 'tableSeekRow' (returns SOAP_OK or error code)
        virtual int tableSeekRow(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulBookmark, int lRowCount, struct tableSeekRowResponse *lpsResponse)
        { return this->tableSeekRow(NULL, NULL, ulSessionId, ulTableId, ulBookmark, lRowCount, lpsResponse); }
        virtual int tableSeekRow(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulBookmark, int lRowCount, struct tableSeekRowResponse *lpsResponse);
        /// Web service operation 'tableCreateBookmark' (returns SOAP_OK or error code)
        virtual int tableCreateBookmark(ULONG64 ulSessionId, unsigned int ulTableId, struct tableBookmarkResponse *lpsResponse)
        { return this->tableCreateBookmark(NULL, NULL, ulSessionId, ulTableId, lpsResponse); }
        virtual int tableCreateBookmark(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, struct tableBookmarkResponse *lpsResponse);
        /// Web service operation 'tableFreeBookmark' (returns SOAP_OK or error code)
        virtual int tableFreeBookmark(ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulbkPosition, unsigned int *result)
        { return this->tableFreeBookmark(NULL, NULL, ulSessionId, ulTableId, ulbkPosition, result); }
        virtual int tableFreeBookmark(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, unsigned int ulbkPosition, unsigned int *result);
        /// Web service operation 'tableSetSearchCriteria' (returns SOAP_OK or error code)
        virtual int tableSetSearchCriteria(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct restrictTable *lpRestrict, struct entryList *lpFolders, unsigned int ulFlags, unsigned int *result)
        { return this->tableSetSearchCriteria(NULL, NULL, ulSessionId, sEntryId, lpRestrict, lpFolders, ulFlags, result); }
        virtual int tableSetSearchCriteria(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct restrictTable *lpRestrict, struct entryList *lpFolders, unsigned int ulFlags, unsigned int *result);
        /// Web service operation 'tableGetSearchCriteria' (returns SOAP_OK or error code)
        virtual int tableGetSearchCriteria(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct tableGetSearchCriteriaResponse *lpsResponse)
        { return this->tableGetSearchCriteria(NULL, NULL, ulSessionId, sEntryId, lpsResponse); }
        virtual int tableGetSearchCriteria(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct tableGetSearchCriteriaResponse *lpsResponse);
        /// Web service operation 'tableSetMultiStoreEntryIDs' (returns SOAP_OK or error code)
        virtual int tableSetMultiStoreEntryIDs(ULONG64 ulSessionId, unsigned int ulTableId, struct entryList *aMessages, unsigned int *result)
        { return this->tableSetMultiStoreEntryIDs(NULL, NULL, ulSessionId, ulTableId, aMessages, result); }
        virtual int tableSetMultiStoreEntryIDs(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, struct entryList *aMessages, unsigned int *result);
        /// Web service operation 'tableExpandRow' (returns SOAP_OK or error code)
        virtual int tableExpandRow(ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sInstanceKey, unsigned int ulRowCount, unsigned int ulFlags, struct tableExpandRowResponse *lpsTableExpandRowResponse)
        { return this->tableExpandRow(NULL, NULL, ulSessionId, ulTableId, sInstanceKey, ulRowCount, ulFlags, lpsTableExpandRowResponse); }
        virtual int tableExpandRow(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sInstanceKey, unsigned int ulRowCount, unsigned int ulFlags, struct tableExpandRowResponse *lpsTableExpandRowResponse);
        /// Web service operation 'tableCollapseRow' (returns SOAP_OK or error code)
        virtual int tableCollapseRow(ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sInstanceKey, unsigned int ulFlags, struct tableCollapseRowResponse *lpsTableCollapseRowResponse)
        { return this->tableCollapseRow(NULL, NULL, ulSessionId, ulTableId, sInstanceKey, ulFlags, lpsTableCollapseRowResponse); }
        virtual int tableCollapseRow(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sInstanceKey, unsigned int ulFlags, struct tableCollapseRowResponse *lpsTableCollapseRowResponse);
        /// Web service operation 'tableGetCollapseState' (returns SOAP_OK or error code)
        virtual int tableGetCollapseState(ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sBookmark, struct tableGetCollapseStateResponse *lpsResponse)
        { return this->tableGetCollapseState(NULL, NULL, ulSessionId, ulTableId, sBookmark, lpsResponse); }
        virtual int tableGetCollapseState(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sBookmark, struct tableGetCollapseStateResponse *lpsResponse);
        /// Web service operation 'tableSetCollapseState' (returns SOAP_OK or error code)
        virtual int tableSetCollapseState(ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sCollapseState, struct tableSetCollapseStateResponse *lpsResponse)
        { return this->tableSetCollapseState(NULL, NULL, ulSessionId, ulTableId, sCollapseState, lpsResponse); }
        virtual int tableSetCollapseState(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulTableId, const struct xsd__base64Binary& sCollapseState, struct tableSetCollapseStateResponse *lpsResponse);
        /// Web service operation 'tableMulti' (returns SOAP_OK or error code)
        virtual int tableMulti(ULONG64 ulSessionId, const struct tableMultiRequest& sRequest, struct tableMultiResponse *lpsResponse)
        { return this->tableMulti(NULL, NULL, ulSessionId, sRequest, lpsResponse); }
        virtual int tableMulti(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct tableMultiRequest& sRequest, struct tableMultiResponse *lpsResponse);
        /// Web service operation 'submitMessage' (returns SOAP_OK or error code)
        virtual int submitMessage(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result)
        { return this->submitMessage(NULL, NULL, ulSessionId, sEntryId, ulFlags, result); }
        virtual int submitMessage(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result);
        /// Web service operation 'finishedMessage' (returns SOAP_OK or error code)
        virtual int finishedMessage(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result)
        { return this->finishedMessage(NULL, NULL, ulSessionId, sEntryId, ulFlags, result); }
        virtual int finishedMessage(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result);
        /// Web service operation 'abortSubmit' (returns SOAP_OK or error code)
        virtual int abortSubmit(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int *result)
        { return this->abortSubmit(NULL, NULL, ulSessionId, sEntryId, result); }
        virtual int abortSubmit(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int *result);
        /// Web service operation 'resolveStore' (returns SOAP_OK or error code)
        virtual int resolveStore(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreGuid, struct resolveUserStoreResponse *lpsResponse)
        { return this->resolveStore(NULL, NULL, ulSessionId, sStoreGuid, lpsResponse); }
        virtual int resolveStore(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreGuid, struct resolveUserStoreResponse *lpsResponse);
        /// Web service operation 'resolveUserStore' (returns SOAP_OK or error code)
        virtual int resolveUserStore(ULONG64 ulSessionId, const char *szUserName, unsigned int ulStoreTypeMask, unsigned int ulFlags, struct resolveUserStoreResponse *lpsResponse)
        { return this->resolveUserStore(NULL, NULL, ulSessionId, szUserName, ulStoreTypeMask, ulFlags, lpsResponse); }
        virtual int resolveUserStore(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const char *szUserName, unsigned int ulStoreTypeMask, unsigned int ulFlags, struct resolveUserStoreResponse *lpsResponse);
        /// Web service operation 'createUser' (returns SOAP_OK or error code)
        virtual int createUser(ULONG64 ulSessionId, struct user *lpsUser, struct setUserResponse *lpsUserSetResponse)
        { return this->createUser(NULL, NULL, ulSessionId, lpsUser, lpsUserSetResponse); }
        virtual int createUser(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, struct user *lpsUser, struct setUserResponse *lpsUserSetResponse);
        /// Web service operation 'deleteUser' (returns SOAP_OK or error code)
        virtual int deleteUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result)
        { return this->deleteUser(NULL, NULL, ulSessionId, ulUserId, sUserId, result); }
        virtual int deleteUser(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result);
        /// Web service operation 'removeAllObjects' (returns SOAP_OK or error code)
        virtual int removeAllObjects(ULONG64 ulSessionId, const struct xsd__base64Binary& sExceptUserId, unsigned int *result)
        { return this->removeAllObjects(NULL, NULL, ulSessionId, sExceptUserId, result); }
        virtual int removeAllObjects(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sExceptUserId, unsigned int *result);
        /// Web service operation 'getUser' (returns SOAP_OK or error code)
        virtual int getUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct getUserResponse *lpsUserGetResponse)
        { return this->getUser(NULL, NULL, ulSessionId, ulUserId, sUserId, lpsUserGetResponse); }
        virtual int getUser(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct getUserResponse *lpsUserGetResponse);
        /// Web service operation 'setUser' (returns SOAP_OK or error code)
        virtual int setUser(ULONG64 ulSessionId, struct user *lpsUser, unsigned int *result)
        { return this->setUser(NULL, NULL, ulSessionId, lpsUser, result); }
        virtual int setUser(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, struct user *lpsUser, unsigned int *result);
        /// Web service operation 'getUserList' (returns SOAP_OK or error code)
        virtual int getUserList(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct userListResponse *lpsUserList)
        { return this->getUserList(NULL, NULL, ulSessionId, ulCompanyId, sCompanyId, lpsUserList); }
        virtual int getUserList(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct userListResponse *lpsUserList);
        /// Web service operation 'getSendAsList' (returns SOAP_OK or error code)
        virtual int getSendAsList(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct userListResponse *lpsUserList)
        { return this->getSendAsList(NULL, NULL, ulSessionId, ulUserId, sUserId, lpsUserList); }
        virtual int getSendAsList(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct userListResponse *lpsUserList);
        /// Web service operation 'addSendAsUser' (returns SOAP_OK or error code)
        virtual int addSendAsUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulSenderId, const struct xsd__base64Binary& sSenderId, unsigned int *result)
        { return this->addSendAsUser(NULL, NULL, ulSessionId, ulUserId, sUserId, ulSenderId, sSenderId, result); }
        virtual int addSendAsUser(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulSenderId, const struct xsd__base64Binary& sSenderId, unsigned int *result);
        /// Web service operation 'delSendAsUser' (returns SOAP_OK or error code)
        virtual int delSendAsUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulSenderId, const struct xsd__base64Binary& sSenderId, unsigned int *result)
        { return this->delSendAsUser(NULL, NULL, ulSessionId, ulUserId, sUserId, ulSenderId, sSenderId, result); }
        virtual int delSendAsUser(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulSenderId, const struct xsd__base64Binary& sSenderId, unsigned int *result);
        /// Web service operation 'getUserClientUpdateStatus' (returns SOAP_OK or error code)
        virtual int getUserClientUpdateStatus(ULONG64 ulSessionId, const struct xsd__base64Binary& sUserId, struct userClientUpdateStatusResponse *lpsResponse)
        { return this->getUserClientUpdateStatus(NULL, NULL, ulSessionId, sUserId, lpsResponse); }
        virtual int getUserClientUpdateStatus(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sUserId, struct userClientUpdateStatusResponse *lpsResponse);
        /// Web service operation 'purgeSoftDelete' (returns SOAP_OK or error code)
        virtual int purgeSoftDelete(ULONG64 ulSessionId, unsigned int ulDays, unsigned int *result)
        { return this->purgeSoftDelete(NULL, NULL, ulSessionId, ulDays, result); }
        virtual int purgeSoftDelete(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulDays, unsigned int *result);
        /// Web service operation 'purgeDeferredUpdates' (returns SOAP_OK or error code)
        virtual int purgeDeferredUpdates(ULONG64 ulSessionId, struct purgeDeferredUpdatesResponse *lpsResponse)
        { return this->purgeDeferredUpdates(NULL, NULL, ulSessionId, lpsResponse); }
        virtual int purgeDeferredUpdates(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, struct purgeDeferredUpdatesResponse *lpsResponse);
        /// Web service operation 'purgeCache' (returns SOAP_OK or error code)
        virtual int purgeCache(ULONG64 ulSessionId, unsigned int ulFlags, unsigned int *result)
        { return this->purgeCache(NULL, NULL, ulSessionId, ulFlags, result); }
        virtual int purgeCache(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, unsigned int *result);
        /// Web service operation 'createStore' (returns SOAP_OK or error code)
        virtual int createStore(ULONG64 ulSessionId, unsigned int ulStoreType, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, const struct xsd__base64Binary& sStoreId, const struct xsd__base64Binary& sRootId, unsigned int ulFlags, unsigned int *result)
        { return this->createStore(NULL, NULL, ulSessionId, ulStoreType, ulUserId, sUserId, sStoreId, sRootId, ulFlags, result); }
        virtual int createStore(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulStoreType, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, const struct xsd__base64Binary& sStoreId, const struct xsd__base64Binary& sRootId, unsigned int ulFlags, unsigned int *result);
        /// Web service operation 'deleteStore' (returns SOAP_OK or error code)
        virtual int deleteStore(ULONG64 ulSessionId, unsigned int ulStoreId, unsigned int ulSyncId, unsigned int *result)
        { return this->deleteStore(NULL, NULL, ulSessionId, ulStoreId, ulSyncId, result); }
        virtual int deleteStore(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulStoreId, unsigned int ulSyncId, unsigned int *result);
        /// Web service operation 'removeStore' (returns SOAP_OK or error code)
        virtual int removeStore(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreGuid, unsigned int ulSyncId, unsigned int *result)
        { return this->removeStore(NULL, NULL, ulSessionId, sStoreGuid, ulSyncId, result); }
        virtual int removeStore(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreGuid, unsigned int ulSyncId, unsigned int *result);
        /// Web service operation 'hookStore' (returns SOAP_OK or error code)
        virtual int hookStore(ULONG64 ulSessionId, unsigned int ulStoreType, const struct xsd__base64Binary& sUserId, const struct xsd__base64Binary& sStoreGuid, unsigned int ulSyncId, unsigned int *result)
        { return this->hookStore(NULL, NULL, ulSessionId, ulStoreType, sUserId, sStoreGuid, ulSyncId, result); }
        virtual int hookStore(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulStoreType, const struct xsd__base64Binary& sUserId, const struct xsd__base64Binary& sStoreGuid, unsigned int ulSyncId, unsigned int *result);
        /// Web service operation 'unhookStore' (returns SOAP_OK or error code)
        virtual int unhookStore(ULONG64 ulSessionId, unsigned int ulStoreType, const struct xsd__base64Binary& sUserId, unsigned int ulSyncId, unsigned int *result)
        { return this->unhookStore(NULL, NULL, ulSessionId, ulStoreType, sUserId, ulSyncId, result); }
        virtual int unhookStore(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulStoreType, const struct xsd__base64Binary& sUserId, unsigned int ulSyncId, unsigned int *result);
        /// Web service operation 'getOwner' (returns SOAP_OK or error code)
        virtual int getOwner(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getOwnerResponse *lpsResponse)
        { return this->getOwner(NULL, NULL, ulSessionId, sEntryId, lpsResponse); }
        virtual int getOwner(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getOwnerResponse *lpsResponse);
        /// Web service operation 'resolveUsername' (returns SOAP_OK or error code)
        virtual int resolveUsername(ULONG64 ulSessionId, const char *lpszUsername, struct resolveUserResponse *lpsResponse)
        { return this->resolveUsername(NULL, NULL, ulSessionId, lpszUsername, lpsResponse); }
        virtual int resolveUsername(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const char *lpszUsername, struct resolveUserResponse *lpsResponse);
        /// Web service operation 'createGroup' (returns SOAP_OK or error code)
        virtual int createGroup(ULONG64 ulSessionId, struct group *lpsGroup, struct setGroupResponse *lpsSetGroupResponse)
        { return this->createGroup(NULL, NULL, ulSessionId, lpsGroup, lpsSetGroupResponse); }
        virtual int createGroup(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, struct group *lpsGroup, struct setGroupResponse *lpsSetGroupResponse);
        /// Web service operation 'setGroup' (returns SOAP_OK or error code)
        virtual int setGroup(ULONG64 ulSessionId, struct group *lpsGroup, unsigned int *result)
        { return this->setGroup(NULL, NULL, ulSessionId, lpsGroup, result); }
        virtual int setGroup(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, struct group *lpsGroup, unsigned int *result);
        /// Web service operation 'getGroup' (returns SOAP_OK or error code)
        virtual int getGroup(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, struct getGroupResponse *lpsReponse)
        { return this->getGroup(NULL, NULL, ulSessionId, ulGroupId, sGroupId, lpsReponse); }
        virtual int getGroup(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, struct getGroupResponse *lpsReponse);
        /// Web service operation 'getGroupList' (returns SOAP_OK or error code)
        virtual int getGroupList(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct groupListResponse *lpsGroupList)
        { return this->getGroupList(NULL, NULL, ulSessionId, ulCompanyId, sCompanyId, lpsGroupList); }
        virtual int getGroupList(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct groupListResponse *lpsGroupList);
        /// Web service operation 'groupDelete' (returns SOAP_OK or error code)
        virtual int groupDelete(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int *result)
        { return this->groupDelete(NULL, NULL, ulSessionId, ulGroupId, sGroupId, result); }
        virtual int groupDelete(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int *result);
        /// Web service operation 'resolveGroupname' (returns SOAP_OK or error code)
        virtual int resolveGroupname(ULONG64 ulSessionId, const char *lpszGroupname, struct resolveGroupResponse *lpsResponse)
        { return this->resolveGroupname(NULL, NULL, ulSessionId, lpszGroupname, lpsResponse); }
        virtual int resolveGroupname(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const char *lpszGroupname, struct resolveGroupResponse *lpsResponse);
        /// Web service operation 'deleteGroupUser' (returns SOAP_OK or error code)
        virtual int deleteGroupUser(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result)
        { return this->deleteGroupUser(NULL, NULL, ulSessionId, ulGroupId, sGroupId, ulUserId, sUserId, result); }
        virtual int deleteGroupUser(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result);
        /// Web service operation 'addGroupUser' (returns SOAP_OK or error code)
        virtual int addGroupUser(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result)
        { return this->addGroupUser(NULL, NULL, ulSessionId, ulGroupId, sGroupId, ulUserId, sUserId, result); }
        virtual int addGroupUser(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int *result);
        /// Web service operation 'getUserListOfGroup' (returns SOAP_OK or error code)
        virtual int getUserListOfGroup(ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, struct userListResponse *lpsUserList)
        { return this->getUserListOfGroup(NULL, NULL, ulSessionId, ulGroupId, sGroupId, lpsUserList); }
        virtual int getUserListOfGroup(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulGroupId, const struct xsd__base64Binary& sGroupId, struct userListResponse *lpsUserList);
        /// Web service operation 'getGroupListOfUser' (returns SOAP_OK or error code)
        virtual int getGroupListOfUser(ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct groupListResponse *lpsGroupList)
        { return this->getGroupListOfUser(NULL, NULL, ulSessionId, ulUserId, sUserId, lpsGroupList); }
        virtual int getGroupListOfUser(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, struct groupListResponse *lpsGroupList);
        /// Web service operation 'createCompany' (returns SOAP_OK or error code)
        virtual int createCompany(ULONG64 ulSessionId, struct company *lpsCompany, struct setCompanyResponse *lpsResponse)
        { return this->createCompany(NULL, NULL, ulSessionId, lpsCompany, lpsResponse); }
        virtual int createCompany(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, struct company *lpsCompany, struct setCompanyResponse *lpsResponse);
        /// Web service operation 'deleteCompany' (returns SOAP_OK or error code)
        virtual int deleteCompany(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result)
        { return this->deleteCompany(NULL, NULL, ulSessionId, ulCompanyId, sCompanyId, result); }
        virtual int deleteCompany(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result);
        /// Web service operation 'setCompany' (returns SOAP_OK or error code)
        virtual int setCompany(ULONG64 ulSessionId, struct company *lpsCompany, unsigned int *result)
        { return this->setCompany(NULL, NULL, ulSessionId, lpsCompany, result); }
        virtual int setCompany(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, struct company *lpsCompany, unsigned int *result);
        /// Web service operation 'getCompany' (returns SOAP_OK or error code)
        virtual int getCompany(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct getCompanyResponse *lpsResponse)
        { return this->getCompany(NULL, NULL, ulSessionId, ulCompanyId, sCompanyId, lpsResponse); }
        virtual int getCompany(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct getCompanyResponse *lpsResponse);
        /// Web service operation 'resolveCompanyname' (returns SOAP_OK or error code)
        virtual int resolveCompanyname(ULONG64 ulSessionId, const char *lpszCompanyname, struct resolveCompanyResponse *lpsResponse)
        { return this->resolveCompanyname(NULL, NULL, ulSessionId, lpszCompanyname, lpsResponse); }
        virtual int resolveCompanyname(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const char *lpszCompanyname, struct resolveCompanyResponse *lpsResponse);
        /// Web service operation 'getCompanyList' (returns SOAP_OK or error code)
        virtual int getCompanyList(ULONG64 ulSessionId, struct companyListResponse *lpsCompanyList)
        { return this->getCompanyList(NULL, NULL, ulSessionId, lpsCompanyList); }
        virtual int getCompanyList(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, struct companyListResponse *lpsCompanyList);
        /// Web service operation 'addCompanyToRemoteViewList' (returns SOAP_OK or error code)
        virtual int addCompanyToRemoteViewList(ULONG64 ecSessionId, unsigned int ulSetCompanyId, const struct xsd__base64Binary& sSetCompanyId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result)
        { return this->addCompanyToRemoteViewList(NULL, NULL, ecSessionId, ulSetCompanyId, sSetCompanyId, ulCompanyId, sCompanyId, result); }
        virtual int addCompanyToRemoteViewList(const char *soap_endpoint, const char *soap_action, ULONG64 ecSessionId, unsigned int ulSetCompanyId, const struct xsd__base64Binary& sSetCompanyId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result);
        /// Web service operation 'delCompanyFromRemoteViewList' (returns SOAP_OK or error code)
        virtual int delCompanyFromRemoteViewList(ULONG64 ecSessionId, unsigned int ulSetCompanyId, const struct xsd__base64Binary& sSetCompanyId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result)
        { return this->delCompanyFromRemoteViewList(NULL, NULL, ecSessionId, ulSetCompanyId, sSetCompanyId, ulCompanyId, sCompanyId, result); }
        virtual int delCompanyFromRemoteViewList(const char *soap_endpoint, const char *soap_action, ULONG64 ecSessionId, unsigned int ulSetCompanyId, const struct xsd__base64Binary& sSetCompanyId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result);
        /// Web service operation 'getRemoteViewList' (returns SOAP_OK or error code)
        virtual int getRemoteViewList(ULONG64 ecSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct companyListResponse *lpsCompanyList)
        { return this->getRemoteViewList(NULL, NULL, ecSessionId, ulCompanyId, sCompanyId, lpsCompanyList); }
        virtual int getRemoteViewList(const char *soap_endpoint, const char *soap_action, ULONG64 ecSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct companyListResponse *lpsCompanyList);
        /// Web service operation 'addUserToRemoteAdminList' (returns SOAP_OK or error code)
        virtual int addUserToRemoteAdminList(ULONG64 ecSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result)
        { return this->addUserToRemoteAdminList(NULL, NULL, ecSessionId, ulUserId, sUserId, ulCompanyId, sCompanyId, result); }
        virtual int addUserToRemoteAdminList(const char *soap_endpoint, const char *soap_action, ULONG64 ecSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result);
        /// Web service operation 'delUserFromRemoteAdminList' (returns SOAP_OK or error code)
        virtual int delUserFromRemoteAdminList(ULONG64 ecSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result)
        { return this->delUserFromRemoteAdminList(NULL, NULL, ecSessionId, ulUserId, sUserId, ulCompanyId, sCompanyId, result); }
        virtual int delUserFromRemoteAdminList(const char *soap_endpoint, const char *soap_action, ULONG64 ecSessionId, unsigned int ulUserId, const struct xsd__base64Binary& sUserId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result);
        /// Web service operation 'getRemoteAdminList' (returns SOAP_OK or error code)
        virtual int getRemoteAdminList(ULONG64 ecSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct userListResponse *lpsUserList)
        { return this->getRemoteAdminList(NULL, NULL, ecSessionId, ulCompanyId, sCompanyId, lpsUserList); }
        virtual int getRemoteAdminList(const char *soap_endpoint, const char *soap_action, ULONG64 ecSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, struct userListResponse *lpsUserList);
        /// Web service operation 'checkExistObject' (returns SOAP_OK or error code)
        virtual int checkExistObject(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result)
        { return this->checkExistObject(NULL, NULL, ulSessionId, sEntryId, ulFlags, result); }
        virtual int checkExistObject(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, unsigned int ulFlags, unsigned int *result);
        /// Web service operation 'readABProps' (returns SOAP_OK or error code)
        virtual int readABProps(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct readPropsResponse *readPropsResponse)
        { return this->readABProps(NULL, NULL, ulSessionId, sEntryId, readPropsResponse); }
        virtual int readABProps(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct readPropsResponse *readPropsResponse);
        /// Web service operation 'abResolveNames' (returns SOAP_OK or error code)
        virtual int abResolveNames(ULONG64 ulSessionId, struct propTagArray *lpaPropTag, struct rowSet *lpsRowSet, struct flagArray *lpaFlags, unsigned int ulFlags, struct abResolveNamesResponse *lpsABResolveNames)
        { return this->abResolveNames(NULL, NULL, ulSessionId, lpaPropTag, lpsRowSet, lpaFlags, ulFlags, lpsABResolveNames); }
        virtual int abResolveNames(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, struct propTagArray *lpaPropTag, struct rowSet *lpsRowSet, struct flagArray *lpaFlags, unsigned int ulFlags, struct abResolveNamesResponse *lpsABResolveNames);
        /// Web service operation 'syncUsers' (returns SOAP_OK or error code)
        virtual int syncUsers(ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result)
        { return this->syncUsers(NULL, NULL, ulSessionId, ulCompanyId, sCompanyId, result); }
        virtual int syncUsers(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyId, const struct xsd__base64Binary& sCompanyId, unsigned int *result);
        /// Web service operation 'setLockState' (returns SOAP_OK or error code)
        virtual int setLockState(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, bool bLocked, unsigned int *result)
        { return this->setLockState(NULL, NULL, ulSessionId, sEntryId, bLocked, result); }
        virtual int setLockState(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, bool bLocked, unsigned int *result);
        /// Web service operation 'resetFolderCount' (returns SOAP_OK or error code)
        virtual int resetFolderCount(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct resetFolderCountResponse *lpsResponse)
        { return this->resetFolderCount(NULL, NULL, ulSessionId, sEntryId, lpsResponse); }
        virtual int resetFolderCount(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct resetFolderCountResponse *lpsResponse);
        /// Web service operation 'GetQuota' (returns SOAP_OK or error code)
        virtual int GetQuota(ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, bool bGetUserDefault, struct quotaResponse *lpsQuota)
        { return this->GetQuota(NULL, NULL, ulSessionId, ulUserid, sUserId, bGetUserDefault, lpsQuota); }
        virtual int GetQuota(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, bool bGetUserDefault, struct quotaResponse *lpsQuota);
        /// Web service operation 'SetQuota' (returns SOAP_OK or error code)
        virtual int SetQuota(ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct quota *lpsQuota, unsigned int *result)
        { return this->SetQuota(NULL, NULL, ulSessionId, ulUserid, sUserId, lpsQuota, result); }
        virtual int SetQuota(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct quota *lpsQuota, unsigned int *result);
        /// Web service operation 'AddQuotaRecipient' (returns SOAP_OK or error code)
        virtual int AddQuotaRecipient(ULONG64 ulSessionId, unsigned int ulCompanyid, const struct xsd__base64Binary& sCompanyId, unsigned int ulRecipientId, const struct xsd__base64Binary& sRecipientId, unsigned int ulType, unsigned int *result)
        { return this->AddQuotaRecipient(NULL, NULL, ulSessionId, ulCompanyid, sCompanyId, ulRecipientId, sRecipientId, ulType, result); }
        virtual int AddQuotaRecipient(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyid, const struct xsd__base64Binary& sCompanyId, unsigned int ulRecipientId, const struct xsd__base64Binary& sRecipientId, unsigned int ulType, unsigned int *result);
        /// Web service operation 'DeleteQuotaRecipient' (returns SOAP_OK or error code)
        virtual int DeleteQuotaRecipient(ULONG64 ulSessionId, unsigned int ulCompanyid, const struct xsd__base64Binary& sCompanyId, unsigned int ulRecipientId, const struct xsd__base64Binary& sRecipientId, unsigned int ulType, unsigned int *result)
        { return this->DeleteQuotaRecipient(NULL, NULL, ulSessionId, ulCompanyid, sCompanyId, ulRecipientId, sRecipientId, ulType, result); }
        virtual int DeleteQuotaRecipient(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulCompanyid, const struct xsd__base64Binary& sCompanyId, unsigned int ulRecipientId, const struct xsd__base64Binary& sRecipientId, unsigned int ulType, unsigned int *result);
        /// Web service operation 'GetQuotaRecipients' (returns SOAP_OK or error code)
        virtual int GetQuotaRecipients(ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct userListResponse *lpsResponse)
        { return this->GetQuotaRecipients(NULL, NULL, ulSessionId, ulUserid, sUserId, lpsResponse); }
        virtual int GetQuotaRecipients(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct userListResponse *lpsResponse);
        /// Web service operation 'GetQuotaStatus' (returns SOAP_OK or error code)
        virtual int GetQuotaStatus(ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct quotaStatus *lpsQuotaStatus)
        { return this->GetQuotaStatus(NULL, NULL, ulSessionId, ulUserid, sUserId, lpsQuotaStatus); }
        virtual int GetQuotaStatus(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulUserid, const struct xsd__base64Binary& sUserId, struct quotaStatus *lpsQuotaStatus);
        /// Web service operation 'getChanges' (returns SOAP_OK or error code)
        virtual int getChanges(ULONG64 ulSessionId, const struct xsd__base64Binary& sSourceKeyFolder, unsigned int ulSyncId, unsigned int ulChangeId, unsigned int ulChangeType, unsigned int ulFlags, struct restrictTable *lpsRestrict, struct icsChangeResponse *lpsChanges)
        { return this->getChanges(NULL, NULL, ulSessionId, sSourceKeyFolder, ulSyncId, ulChangeId, ulChangeType, ulFlags, lpsRestrict, lpsChanges); }
        virtual int getChanges(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sSourceKeyFolder, unsigned int ulSyncId, unsigned int ulChangeId, unsigned int ulChangeType, unsigned int ulFlags, struct restrictTable *lpsRestrict, struct icsChangeResponse *lpsChanges);
        /// Web service operation 'setSyncStatus' (returns SOAP_OK or error code)
        virtual int setSyncStatus(ULONG64 ulSessionId, const struct xsd__base64Binary& sSourceKeyFolder, unsigned int ulSyncId, unsigned int ulChangeId, unsigned int ulChangeType, unsigned int ulFlags, struct setSyncStatusResponse *lpsResponse)
        { return this->setSyncStatus(NULL, NULL, ulSessionId, sSourceKeyFolder, ulSyncId, ulChangeId, ulChangeType, ulFlags, lpsResponse); }
        virtual int setSyncStatus(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sSourceKeyFolder, unsigned int ulSyncId, unsigned int ulChangeId, unsigned int ulChangeType, unsigned int ulFlags, struct setSyncStatusResponse *lpsResponse);
        /// Web service operation 'getEntryIDFromSourceKey' (returns SOAP_OK or error code)
        virtual int getEntryIDFromSourceKey(ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, const struct xsd__base64Binary& folderSourceKey, const struct xsd__base64Binary& messageSourceKey, struct getEntryIDFromSourceKeyResponse *lpsResponse)
        { return this->getEntryIDFromSourceKey(NULL, NULL, ulSessionId, sStoreId, folderSourceKey, messageSourceKey, lpsResponse); }
        virtual int getEntryIDFromSourceKey(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sStoreId, const struct xsd__base64Binary& folderSourceKey, const struct xsd__base64Binary& messageSourceKey, struct getEntryIDFromSourceKeyResponse *lpsResponse);
        /// Web service operation 'getSyncStates' (returns SOAP_OK or error code)
        virtual int getSyncStates(ULONG64 ulSessionId, const struct mv_long& ulaSyncId, struct getSyncStatesReponse *lpsResponse)
        { return this->getSyncStates(NULL, NULL, ulSessionId, ulaSyncId, lpsResponse); }
        virtual int getSyncStates(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct mv_long& ulaSyncId, struct getSyncStatesReponse *lpsResponse);
        /// Web service operation 'getLicenseAuth' (returns SOAP_OK or error code)
        virtual int getLicenseAuth(ULONG64 ulSessionId, const struct xsd__base64Binary& sAuthData, struct getLicenseAuthResponse *lpsResponse)
        { return this->getLicenseAuth(NULL, NULL, ulSessionId, sAuthData, lpsResponse); }
        virtual int getLicenseAuth(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sAuthData, struct getLicenseAuthResponse *lpsResponse);
        /// Web service operation 'resolvePseudoUrl' (returns SOAP_OK or error code)
        virtual int resolvePseudoUrl(ULONG64 ulSessionId, const char *lpszPseudoUrl, struct resolvePseudoUrlResponse *lpsResponse)
        { return this->resolvePseudoUrl(NULL, NULL, ulSessionId, lpszPseudoUrl, lpsResponse); }
        virtual int resolvePseudoUrl(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const char *lpszPseudoUrl, struct resolvePseudoUrlResponse *lpsResponse);
        /// Web service operation 'getServerDetails' (returns SOAP_OK or error code)
        virtual int getServerDetails(ULONG64 ulSessionId, const struct mv_string8& szaSvrNameList, unsigned int ulFlags, struct getServerDetailsResponse *lpsResponse)
        { return this->getServerDetails(NULL, NULL, ulSessionId, szaSvrNameList, ulFlags, lpsResponse); }
        virtual int getServerDetails(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct mv_string8& szaSvrNameList, unsigned int ulFlags, struct getServerDetailsResponse *lpsResponse);
        /// Web service operation 'getServerBehavior' (returns SOAP_OK or error code)
        virtual int getServerBehavior(ULONG64 ulSessionId, struct getServerBehaviorResponse *lpsResponse)
        { return this->getServerBehavior(NULL, NULL, ulSessionId, lpsResponse); }
        virtual int getServerBehavior(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, struct getServerBehaviorResponse *lpsResponse);
        /// Web service operation 'setServerBehavior' (returns SOAP_OK or error code)
        virtual int setServerBehavior(ULONG64 ulSessionId, unsigned int ulBehavior, unsigned int *result)
        { return this->setServerBehavior(NULL, NULL, ulSessionId, ulBehavior, result); }
        virtual int setServerBehavior(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulBehavior, unsigned int *result);
        /// Web service operation 'exportMessageChangesAsStream' (returns SOAP_OK or error code)
        virtual int exportMessageChangesAsStream(ULONG64 ulSessionId, unsigned int ulFlags, const struct propTagArray& sPropTags, const struct sourceKeyPairArray& _param_1, unsigned int ulPropTag, struct exportMessageChangesAsStreamResponse *lpsResponse)
        { return this->exportMessageChangesAsStream(NULL, NULL, ulSessionId, ulFlags, sPropTags, _param_1, ulPropTag, lpsResponse); }
        virtual int exportMessageChangesAsStream(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, const struct propTagArray& sPropTags, const struct sourceKeyPairArray& _param_1, unsigned int ulPropTag, struct exportMessageChangesAsStreamResponse *lpsResponse);
        /// Web service operation 'importMessageFromStream' (returns SOAP_OK or error code)
        virtual int importMessageFromStream(ULONG64 ulSessionId, unsigned int ulFlags, unsigned int ulSyncId, const struct xsd__base64Binary& sParentEntryId, const struct xsd__base64Binary& sEntryId, bool bIsNew, struct propVal *lpsConflictItems, const struct xsd__Binary& sStreamData, unsigned int *result)
        { return this->importMessageFromStream(NULL, NULL, ulSessionId, ulFlags, ulSyncId, sParentEntryId, sEntryId, bIsNew, lpsConflictItems, sStreamData, result); }
        virtual int importMessageFromStream(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, unsigned int ulFlags, unsigned int ulSyncId, const struct xsd__base64Binary& sParentEntryId, const struct xsd__base64Binary& sEntryId, bool bIsNew, struct propVal *lpsConflictItems, const struct xsd__Binary& sStreamData, unsigned int *result);
        /// Web service operation 'getChangeInfo' (returns SOAP_OK or error code)
        virtual int getChangeInfo(ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getChangeInfoResponse *lpsResponse)
        { return this->getChangeInfo(NULL, NULL, ulSessionId, sEntryId, lpsResponse); }
        virtual int getChangeInfo(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const struct xsd__base64Binary& sEntryId, struct getChangeInfoResponse *lpsResponse);
        /// Web service operation 'testPerform' (returns SOAP_OK or error code)
        virtual int testPerform(ULONG64 ulSessionId, const char *cmd, const struct testPerformArgs& sPerform, unsigned int *result)
        { return this->testPerform(NULL, NULL, ulSessionId, cmd, sPerform, result); }
        virtual int testPerform(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const char *cmd, const struct testPerformArgs& sPerform, unsigned int *result);
        /// Web service operation 'testSet' (returns SOAP_OK or error code)
        virtual int testSet(ULONG64 ulSessionId, const char *name, const char *value, unsigned int *result)
        { return this->testSet(NULL, NULL, ulSessionId, name, value, result); }
        virtual int testSet(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const char *name, const char *value, unsigned int *result);
        /// Web service operation 'testGet' (returns SOAP_OK or error code)
        virtual int testGet(ULONG64 ulSessionId, const char *name, struct testGetResponse *lpsResponse)
        { return this->testGet(NULL, NULL, ulSessionId, name, lpsResponse); }
        virtual int testGet(const char *soap_endpoint, const char *soap_action, ULONG64 ulSessionId, const char *name, struct testGetResponse *lpsResponse);
        /// Web service operation 'getClientUpdate' (returns SOAP_OK or error code)
        virtual int getClientUpdate(const struct clientUpdateInfoRequest& sClientUpdateInfo, struct clientUpdateResponse *lpsResponse)
        { return this->getClientUpdate(NULL, NULL, sClientUpdateInfo, lpsResponse); }
        virtual int getClientUpdate(const char *soap_endpoint, const char *soap_action, const struct clientUpdateInfoRequest& sClientUpdateInfo, struct clientUpdateResponse *lpsResponse);
        /// Web service operation 'setClientUpdateStatus' (returns SOAP_OK or error code)
        virtual int setClientUpdateStatus(const struct clientUpdateStatusRequest& sClientUpdateStatus, struct clientUpdateStatusResponse *lpsResponse)
        { return this->setClientUpdateStatus(NULL, NULL, sClientUpdateStatus, lpsResponse); }
        virtual int setClientUpdateStatus(const char *soap_endpoint, const char *soap_action, const struct clientUpdateStatusRequest& sClientUpdateStatus, struct clientUpdateStatusResponse *lpsResponse);
    };
#endif
